/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.cq.app.view.navigation.AdminNavigator");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("com.ibm.rational.report.web.core.app.view.navigation.AdminNavigatorCore");
dojo.requireLocalization("com.ibm.rational.report.web.core.app.view.navigation", "Messages");

var NavigatorMessages	= dojo.i18n.getLocalization("com.ibm.rational.report.web.core.app.view.navigation", "Messages");
var AdminNavigatorCore	= com.ibm.rational.report.web.core.app.view.navigation.AdminNavigatorCore;

/**
 * Displays the Administration drawer & links on the left navigator.
 */
dojo.declare(
	"com.ibm.rational.report.web.cq.app.view.navigation.AdminNavigator",
	[dijit._Widget, dijit._Templated], {
	
	templatePath: dojo.moduleUrl("com.ibm.rational.report.web.cq", "app/view/navigation/templates/AdminNavigator.html"),
	
	constructor: function(args) {
		this._controller = args.controller;
	},
	
	postCreate: function() {
		this._addAdminLink();
	},
	
	/**
	 * Adds a link to the widget.
	 */
	_addAdminLink: function() {
		var self = this;
				
        var linkDiv = document.createElement("div");
		
		var AdminNavNodes = new Array(
			{ name: NavigatorMessages.ADMIN_NAVIGATOR_REPORTS_LINK, target: function() { self._controller.manageReports(); }, image: "Reports.gif" },
			{ name: NavigatorMessages.ADMIN_NAVIGATOR_USERS_LINK,   target: function() { self._controller.manageUsers(); },   image: "Users.gif" }
		);
		
		for (var i = 0; i < AdminNavNodes.length; i++) {
			linkDiv.appendChild(AdminNavigatorCore.createLeftNavigationNode(AdminNavNodes[i]));	
		}
		
        this.adminListDiv.appendChild(linkDiv);
	}
	
});

})();